// Kubejs scripts for AE2 stuff

ServerEvents.recipes(event => {

// Add certus quartz to charger recipe
event.remove({ output: 'ae2:charger' })

// Remove AE2 guide recipe
event.remove({ output: 'guideme:guide' })

event.shaped(
  Item.of('ae2:charger'),
  [
    'ICI',
    'I Q',
    'ICI'
  ],
  {
    I: 'minecraft:iron_ingot',
    C: 'minecraft:copper_ingot',
	Q: 'ae2:certus_quartz_crystal'
  }
)

// No EMC integration just yet
event.remove({ output: 'projectexpansion:transmutation_interface' })
event.remove({ mod: 'appliede' })

// Recipes for sky stone and inscriber molds
event.custom({
  "type": "createdieselgenerators:basin_fermenting",
  "ingredients": [
    {
      "item": "minecraft:stone"
    },
	{
      "item": "projecte:high_covalence_dust"
    },
    {
      "fluid": "thermal:ender",
      "amount": 1000
    }
  ],
  "heatRequirement": "heated",
  "processingTime": 400,
  "results": [
    {
      "item": "ae2:sky_stone_block"
    }
  ]
})

// Mystery Cube
event.custom({
  "type": "malum:spirit_infusion",
  "extra_items": [
    {
      "count": 32,
      "item": "ae2:sky_stone_block"
    },
    {
      "count": 64,
      "item": "ae2:fluix_crystal"
    },
    {
      "count": 16,
      "item": "enderio:end_steel_ingot"
    }
  ],
  "input": {
    "count": 1,
    "item": "minecraft:dragon_egg"
  },
  "output": {
    "item": "ae2:mysterious_cube"
  },
  "spirits": [
    {
      "type": "arcane",
      "count": 32
    },
    {
      "type": "earthen",
      "count": 32
    }
  ]
})

})